Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/include/pages_g.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions
pages_g.h File Reference
`#include "specenum_gen.h"`
`#include "gui_proto_constructor.h"`

Go to the source code of this file.

## Macros

#define | SPECENUM_NAME client_pages
#define | SPECENUM_VALUE0 PAGE_MAIN /* Main menu, aka intro page. */
#define | SPECENUM_VALUE1 PAGE_START /* Start new game page. */
#define | SPECENUM_VALUE2 PAGE_SCENARIO /* Start new scenario page. */
#define | SPECENUM_VALUE3 PAGE_LOAD /* Load saved game page. */
#define | SPECENUM_VALUE4 PAGE_NETWORK /* Connect to network page. */
#define | SPECENUM_VALUE5 PAGE_GAME /* In game page. */

## Functions

void | set_client_page (enum client_pages page)
void | client_start_server_and_set_page (enum client_pages page)
enum client_pages | get_client_page (void)

## Macro Definition Documentation

## ◆ SPECENUM_NAME

#define SPECENUM_NAME client_pages

Definition at line 19 of file pages_g.h.

## ◆ SPECENUM_VALUE0

#define SPECENUM_VALUE0 PAGE_MAIN /* Main menu, aka intro page. */

Definition at line 20 of file pages_g.h.

## ◆ SPECENUM_VALUE1

#define SPECENUM_VALUE1 PAGE_START /* Start new game page. */

Definition at line 21 of file pages_g.h.

## ◆ SPECENUM_VALUE2

#define SPECENUM_VALUE2 PAGE_SCENARIO /* Start new scenario page. */

Definition at line 22 of file pages_g.h.

## ◆ SPECENUM_VALUE3

#define SPECENUM_VALUE3 PAGE_LOAD /* Load saved game page. */

Definition at line 23 of file pages_g.h.

## ◆ SPECENUM_VALUE4

#define SPECENUM_VALUE4 PAGE_NETWORK /* Connect to network page. */

Definition at line 24 of file pages_g.h.

## ◆ SPECENUM_VALUE5

#define SPECENUM_VALUE5 PAGE_GAME /* In game page. */

Definition at line 25 of file pages_g.h.

## Function Documentation

## ◆ client_start_server_and_set_page()

void client_start_server_and_set_page | ( | enum client_pages | page | ) |

Start server and then, set the client page.

Definition at line 506 of file update_queue.c.

Referenced by load_saved_game_callback(), start_scenario_callback(), and fc_client::switch_page().

## ◆ get_client_page()

enum client_pages get_client_page | ( | void |  | ) |

Returns the next client page.

Definition at line 520 of file update_queue.c.

Referenced by chatline_is_scrolled_to_bottom(), exit_load_dlg_callback(), flush_dirty(), handle_server_join_reply(), load_selected_game_callback(), main_callback(), real_conn_list_dialog_update(), real_menus_update(), set_client_state(), and voteinfo_gui_update().

## ◆ set_client_page()

void set_client_page | ( | enum client_pages | page | ) |

Set the client page.

Definition at line 496 of file update_queue.c.

Referenced by back_callback(), cancel_connect_dlg_callback(), connect_network_game_callback(), exit_load_dlg_callback(), exit_meta_server_dlg_callback(), handle_game_load(), handle_server_join_reply(), join_game_callback(), load_game_callback(), load_selected_game_callback(), main_callback(), popup_connection_dialog(), set_client_state(), set_connection_state(), and fc_client::switch_page().